﻿using System;
using System.Collections.Generic;
using System.Linq;
using VmManager;

namespace MyClient
{
    public class Client
    {
        private Manager manager;

        public Client(Manager manager)
        {
            this.manager = manager;
        }

        public List<String> GetVMNames()
        {
            return manager.GetVMs().Select(vm => vm.GetName()).ToList();
        }

        public static bool VerifyManager()
        {
            return Manager.GetVersion() >= 17;
        }
    }
}
