﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyClient;
using VmManager;

namespace ConsoleApplication
{
    class Program
    {
        static void Main(string[] args)
        {
            var manager = new Manager();
            var client = new Client(manager);

            Console.Out.WriteLine("Manager version is {0}.", Client.VerifyManager() ? "OK" : "too old");

            List<String> names = client.GetVMNames();

            Console.Out.WriteLine("Virtual Machines: {0}", String.Join(", ", names));
            Console.In.ReadLine();
        }
    }
}
